Dashboard API response is hard to understand
Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: API   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3500

  

Description

As per a mail on foreman-users: https://groups.google.com/forum/#!topic/foreman-users/1g-10k5ESI4

The dashboard API response contains useful numbers, but even I couldn't really understand them all without looking at the code that

produces them.

We should document this more properly, and provide an explanation in the response (in a separate node, to keep backwards

compatibility).

Associated revisions

Revision e2fcc321 - 05/09/2016 04:22 AM - Shlomi Zadok

Fixes #14877 - Adds glossary to dashboard API

History

#1 - 05/08/2016 02:40 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#2 - 05/08/2016 05:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3500 added

#3 - 05/09/2016 05:02 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2fcc3213464f709e53c228fab75b91e766e762d.

#4 - 05/10/2016 06:08 AM - Dominic Cleal

- translation missing: en.field_release set to 136
